Subject: Re: [SWIPL] still having problems with macosx

From: Paulo Moura <[email-masked]>
Date: Sun, 8 Jul 2001 12:30:19 +0100

On Sábado, Julho 7, 2001, at 10:04 , Jacobo Myerston wrote:

> Hi Folks,
>
> I was following the instructions of the new how-to, but I can'n still 
> build 4.0.7.
>
> here is the output,
>
>
> cc -traditional-cpp -c -I. -I. -I./rc -Wall -O2 -I/sw/include pl-
> extend.c -o pl-extend.o
> cc -traditional-cpp -L/sw/lib -o pl -Lrc pl-atom.o pl-wam.o pl-stream.o 
> pl-error.o pl-arith.o pl-bag.o pl-comp.o pl-rc.o pl-dwim.o pl-ext.o 
> pl-file.o pl-flag.o pl-fmt.o pl-funct.o pl-gc.o pl-glob.o pl-itf.o 
> pl-list.o pl-load.o pl-modul.o pl-op.o pl-os.o pl-prims.o pl-pro.o 
> pl-proc.o pl-prof.o pl-read.o pl-rec.o pl-rl.o pl-setup.o pl-sys.o 
> pl-table.o pl-trace.o pl-util.o pl-wic.o pl-write.o pl-term.o pl-
> buffer.o pl-thread.o pl-xterm.o pl-feature.o pl-ctype.o pl-main.o 
> pl-extend.o  -lrc -lcurses -lcurses -lm
> /usr/bin/ld: Undefined symbols:
> _dlclose
> _dlerror
> _dlopen
> _dlsym
> make: *** [pl] Error 1

Go to the follwing URL:

	http://fink.sourceforge.net/files/

and download the latest version of dlcomp. Compile and intall it. You 
should then be able to compile SWI-Prolog 4.0.8 without problems. More 
tips about MacOS X and SWI-Prolog can be found at:

	http://www.phil.uu.nl/~xges/HOWTO/swipldynlib.html

Regards,

Paulo

-----------------------------------------------------------
Paulo Jorge Lopes de Moura
Dep. of Informatics                   Office 4.3  Ext. 3257
University of Beira Interior          Phone: +351 275319700
6201-001 Covilhã                      Fax:   +351 275319732
Portugal

mailto:[email-masked]
http://www.ci.uc.pt/logtalk/pmoura.html
-----------------------------------------------------------